#include <stdio.h>
#include <iostream>
#include <stdlib.h>
#include <string>
#include <string.h>
#include <vector>
#include <stack>
#include <queue>
#include <deque>
#include <set>
#include <map>
#include <assert.h>
#include <algorithm>
#include <iomanip>
#include <time.h>
#include <math.h>
#include <bitset>

#pragma comment(linker, "/STACK:256000000")

using namespace std;

typedef long long int ll;
typedef long double ld;

const int INF = 1000 * 1000 * 1000 + 21;
const ll LLINF = (1ll << 60) + 5;
const int MOD = 1000 * 1000 * 1000 + 7;

const int MAX_N = 1000 * 1000 + 5;

ll n, k, a, b;
ll dp[MAX_N];

int main()
{
#ifdef CH_EGOR
	freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#else
	//freopen("", "r", stdin);
	//freopen("", "w", stdout);
#endif 	

	scanf("%lld%lld%lld%lld", &n, &k, &a, &b);

	dp[1] = 0;
	for (int i = 2; i <= n; ++i) dp[i] = i * a;
	for (int i = 1; i <= n; ++i)
	{
		if (i + 1 <= n) dp[i + 1] = min(dp[i + 1], dp[i] + a);
		if (i * k <= n) dp[i * k] = min(dp[i * k], dp[i] + b);
	}
	
	printf("%lld\n", dp[n]);

	return 0;
}

