#include <bits/stdc++.h>
typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
typedef unsigned int ui32;
const long long INFLL = 1e18;

using namespace std;

const int MAXN = 100000;
const int INF = 1000 * 1000 * 1000;

int t[MAXN + 1], n;
string s;

bool checkMin(int tmin) {
    for (int i = 4; i < n; i++) {
        bool allZeroes = true;
        int mx = -INF;
        for (int j = i - 4; j <= i; j++) {
            if (j < i && s[j] != '0') {
                allZeroes = false;
            }
            mx = max(mx, t[j]);
        }
        if (allZeroes) {
            if (s[i] == '1' && mx >= tmin) {
                return false;
            }
        }
    }
    return true;
}

bool checkMax(int tmax) {
    for (int i = 4; i < n; i++) {
        bool allOnes = true;
        int mn = INF;
        for (int j = i - 4; j <= i; j++) {
            if (j < i && s[j] != '1') {
                allOnes = false;
            }
            mn = min(mn, t[j]);
        }
        if (allOnes) {
            if (s[i] == '0' && mn <= tmax) {
                return false;
            }
        }
    }
    return true;
}

int main() {
    //ios_base::sync_with_stdio(false);
    //cin.tie(0);
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);

    scanf("%d", &n);
    for (int i = 0; i < n; i++) {
        scanf("%d", &t[i]);
    }
    cin >> s;

    int l = -INF - 1, r = INF;

    while (r > l + 1) {
        int mid = (l + r) / 2;

        if (checkMin(mid)) {
            r = mid;
        } else {
            l = mid;
        }
    }

    int tmin = r;

    l = tmin - 1, r = INF;

    while (r > l + 1) {
        int mid = (l + r) / 2;

        if (checkMax(mid)) {
            l = mid;
        } else {
            r = mid;
        }
    }

    int tmax = l;

    cout << tmin << " " << tmax << "\n";
    return 0;
}
