#include <stdio.h>
#include <iostream>
#include <stdlib.h>
#include <string>
#include <string.h>
#include <vector>
#include <stack>
#include <queue>
#include <deque>
#include <set>
#include <map>
#include <assert.h>
#include <algorithm>
#include <iomanip>
#include <time.h>
#include <math.h>
#include <bitset>

#pragma comment(linker, "/STACK:256000000")

using namespace std;

typedef long long int ll;
typedef long double ld;

const int INF = 1000 * 1000 * 1000 + 21;
const ll LLINF = (1ll << 60) + 5;
const int MOD = 1000 * 1000 * 1000 + 7;

const int MAX_N = 100 * 1000 + 5;

int n, c = 10;
ll arr[MAX_N];

ll solve(ll arr[])
{
	ll ans = 0;
	for (int i = 0; i < n; i += c)
	{
		ll mn = LLINF;
		ll sm = 0;
		for (int j = i; j < min(i + c, n); ++j) 
		{
			sm += arr[j];
			mn = min(mn, arr[j]);
		}

		ans += sm;
		if (i + c <= n) ans -= mn;
	}

	return ans;
}

int main()
{
#ifdef CH_EGOR
	freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#else
	//freopen("", "r", stdin);
	//freopen("", "w", stdout);
#endif

	scanf("%d", &n);
	for (int i = 0; i < n; ++i) scanf("%lld", &arr[i]);

	ll ans = solve(arr);
	reverse(arr, arr + n);
	ans = min(ans, solve(arr));

	printf("%lld\n", ans);
	
	return 0;
}

