#include <iostream>
#include <vector>
#include <set>
#include <climits>
using namespace std;


int n;
vector<int> products;

int brute_force(int pos) {
    if (pos == n)
        return 0;
    int res = INT_MAX;
    multiset<int> st;
    int sum = 0;
    for (int i = pos; i < n; i++) {
        sum += products[i];
        st.insert(products[i]);

        int cash_back = 0;
        int cb_len = st.size() / 10;
        int cnt = 0;
        for (auto it : st) {
            if (cnt >= cb_len) break;
            cnt++;
            cash_back += it;
        }

        res = min(res, sum - cash_back + brute_force(i + 1));
    }
    return res;
}

int main() {
    cin >> n;
    products.resize(n);
    for (int i = 0; i < n; i++)
        cin >> products[i];
    cout << brute_force(0) << endl;
}
