#include <iostream>
#include <vector>
#include <climits>
using namespace std;

int main() {
    int n;
    cin >> n;

    vector<int> products(n);
    for (int i = 0; i < n; i++)
        cin >> products[i];

    vector<int64_t> dp(n + 1);
    for (int i = n - 1; i >= 0; i--) {
        int min_product = INT_MAX;
        int64_t sum = 0;
        dp[i] = LLONG_MAX;
        // look for 1..9 items
        for (int j = i; j < min(n, i + 9); j++) {
            sum += products[j];
            min_product = min(min_product, products[j]);
            dp[i] = min(dp[i], sum + dp[j + 1]);
        }
        // look for 10 items minus cashback
        if (i + 10 <= n) {
            min_product = min(min_product, products[i + 9]);
            sum += products[i + 9];
            dp[i] = min(dp[i], sum - min_product + dp[i + 10]);
        }
    }

    cout << dp[0] << endl;
}
