#include <stdio.h>
#include <iostream>
#include <stdlib.h>
#include <string>
#include <string.h>
#include <vector>
#include <stack>
#include <queue>
#include <deque>
#include <set>
#include <map>
#include <assert.h>
#include <algorithm>
#include <iomanip>
#include <time.h>
#include <math.h>
#include <bitset>

#pragma comment(linker, "/STACK:256000000")

using namespace std;

typedef long long int ll;
typedef long double ld;

const int INF = 1000 * 1000 * 1000 + 21;
const ll LLINF = 4ll * INF * INF; //(1ll << 60) + 5;
const int MOD = 1000 * 1000 * 1000 + 7;

ll n, k, a, b;
map<ll, ll> ans;
ll best_ans = LLINF;

void get(ll now, ll cost)
{
	if (cost > best_ans) return;
	else if (now == n) {best_ans = min(best_ans, cost); return;}
	else if (now > n) return;
	else if (ans.find(now) == ans.end() || cost < ans[now])
	{
		ans[now] = cost;
		get(now * k, cost + b);
		get(now + 1, cost + a);
	}
}

int main()
{
#ifdef CH_EGOR
	freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#else
	//freopen("", "r", stdin);
	//freopen("", "w", stdout);
#endif 	

	scanf("%lld%lld%lld%lld", &n, &k, &a, &b);
	
	get(1, 0);
	printf("%lld\n", best_ans);

	return 0;
}


