#include <bits/stdc++.h>
#include "testlib.h"
typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
using namespace std;

const int MAXN = 100000;
const int MAXA = 1000 * 1000 * 1000;

int t[MAXN + 1], n;

string getString(int tmin, int tmax) {
    if (n < 5) {
        string res = "";
        for (int i = 0; i < n; i++) {
            res += "0";
        }
        return res;
    }
    string res = "0000";
    bool turnedIn = false;
    for (int i = 4; i < n; i++) {
        int mn = MAXA;
        int mx = -MAXA;
        bool allZeroes = true;
        bool allOnes = true;
        for (int j = i - 4; j <= i; j++) {
            mn = min(mn, t[j]);
            mx = max(mx, t[j]);

            if (j < i && res[j] == '1') {
                allZeroes = false;
            }
            if (j < i && res[j] == '0') {
                allOnes = false;
            }
        }

        if (mx < tmin && allZeroes) {
            turnedIn = true;
            res += "1";
        } else if (mn > tmax && allOnes) {
            turnedIn = false;
            res += "0";
        } else if (turnedIn) {
            res += "1";
        } else {
            res += "0";
        }
    }

    return res;
}

int main(int argc, char * argv[]) {
    //cin.tie(0), ios::sync_with_stdio(0);
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);

    registerGen(argc, argv, 1);

    n = rnd.next(atoi(argv[1]), atoi(argv[2]));

    string res = "";
    for (int i = 0; i < n; i++) {
        res += "0";
    }

    int tmin = atoi(argv[3]);
    int tmax = atoi(argv[4]);

    for (int i = 0; i < 4; i++) {
        t[i] = rnd.next(tmin, min(atoi(argv[4]), tmin + atoi(argv[5])));
    }

    for (int i = 4; i < n; i++) {
        bool asc = false;
        if (rnd.next(0, 1)) {
            asc = true;
        }

        int len = rnd.next(5, 5 + atoi(argv[6]));
        for (int j = i; j < min(n, i + len); j++) {
            if (asc) {
                t[j] = rnd.next(tmin, min(atoi(argv[4]), tmin + atoi(argv[5])));
            } else {
                t[j] = rnd.next(max(atoi(argv[3]), tmax - atoi(argv[5])), tmax);
            }
        }
        i += len - 1;
        i = min(i, n - 1);
        for (int j = i - 4; j <= i; j++) {
            if (asc) {
                tmin = min(tmax, max(tmin, t[j] + 1));
            } else {
                tmax = max(tmin, min(tmax, t[j] - 1));
            }
        }
    }

    cout << n << "\n";
    for (int i = 0; i < n; i++) {
        printf("%d", t[i]);
        if (i == n - 1) {
            printf("\n");
        } else {
            printf(" ");
        }
    }

    cout << getString(tmin, tmax) << "\n";
    return 0;
}
