#include <bits/stdc++.h>
#include "testlib.h"
typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
using namespace std;

const int MAXN = 100000;
const int INF = 1000 * 1000 * 1000;
const int MAXA = 1000 * 1000 * 1000;

int arr[MAXN + 1], n;

string getString(int tmin, int tmax) {
    if (n < 5) {
        string res = "";
        for (int i = 0; i < n; i++) {
            res += "0";
        }
        return res;
    }
    string res = "0000";
    bool turnedIn = false;
    for (int i = 4; i < n; i++) {
        int mn = MAXA;
        int mx = -MAXA;
        bool allZeroes = true;
        bool allOnes = true;
        for (int j = i - 4; j <= i; j++) {
            mn = min(mn, arr[j]);
            mx = max(mx, arr[j]);

            if (j < i && res[j] == '1') {
                allZeroes = false;
            }
            if (j < i && res[j] == '0') {
                allOnes = false;
            }
        }

        if (mx < tmin && allZeroes) {
            turnedIn = true;
            res += "1";
        } else if (mn > tmax && allOnes) {
            turnedIn = false;
            res += "0";
        } else if (turnedIn) {
            res += "1";
        } else {
            res += "0";
        }
    }

    return res;
}

int main(int argc, char * argv[]) {
    //cin.tie(0), ios::sync_with_stdio(0);
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);

    registerGen(argc, argv, 1);

    n = rnd.next(atoi(argv[1]), atoi(argv[2]));

    string s = "";
    int k = rnd.next(min(4, n), n);
    for (int i = 0; i < n; i++) {
        if (i < k) {
            s += "0";
        } else {
            s += "1";
        }
    }

    int tmin = atoi(argv[3]);
    int tmax = atoi(argv[4]);

    int p1 = rnd.next(tmin + 2 * atoi(argv[5]), tmax);
    int p2 = rnd.next(tmin + 2 * atoi(argv[5]), tmax);

    if (p1 > p2) {
        swap(p1, p2);
    }

    for (int i = 0; i < k; i++) {
        arr[i] = rnd.next(tmin + atoi(argv[5]), p1);
    }
    for (int i = k - 4; i <= k; i++) {
        arr[i] = rnd.next(tmin, tmin + atoi(argv[5]));
    }
    for (int i = k + 1; i < n; i++) {
        arr[i] = rnd.next(p2, tmax);
    }

    vector <int> t(n), ts(n);
    for (int i = 0; i < n; i++) {
        t[i] = arr[i];
        ts[i] = t[i] * -1;
    }

    int left_min = -INF, right_min = INF, left_max = -INF, right_max = INF;
    for (int i = 0; i < n - 4; i++) {
        if (string(s.begin() + i, s.begin() + i + 5) == "00001") {
            left_min = max(left_min, *max_element(t.begin() + i, t.begin() + i + 5) + 1);
        }
        if (string(s.begin() + i, s.begin() + i + 5) == "00000") {
            right_min = min(right_min, *max_element(t.begin() + i, t.begin() + i + 5));
        }
        if (string(s.begin() + i, s.begin() + i + 5) == "11110") {
            right_max = min(right_max, -*max_element(ts.begin() + i, ts.begin() + i + 5) - 1);
        }
        if (string(s.begin() + i, s.begin() + i + 5) == "11111") {
            left_max = max(left_max, -*max_element(ts.begin() + i, ts.begin() + i + 5));
        }
    }

    cout << n << "\n";
    for (int i = 0; i < n; i++) {
        printf("%d", arr[i]);
        if (i + 1 < n) {
            printf(" ");
        } else {
            printf("\n");
        }
    }
    cout << s << "\n";
    return 0;
}
