#include <stdio.h>
#include <iostream>
#include <stdlib.h>
#include <string>
#include <string.h>
#include <vector>
#include <stack>
#include <queue>
#include <deque>
#include <set>
#include <map>
#include <assert.h>
#include <algorithm>
#include <iomanip>
#include <time.h>
#include <math.h>
#include <bitset>

#pragma comment(linker, "/STACK:256000000")

using namespace std;

typedef long long int ll;
typedef long double ld;

const int INF = 1000 * 1000 * 1000 + 21;
const ll LLINF = (1ll << 60) + 5;
const int MOD = 1000 * 1000 * 1000 + 7;

const int MAX_N = 100 * 1000 + 5;
const int MAX_ABS = 1000 * 1000 * 1000;

int n;
ll arr[MAX_N];
char st[MAX_N];

ll solve()
{
	ll up = LLINF;
	ll dw = -LLINF;
	
	for (int i = 4; i < n; ++i)
	{
		bool all_same = true;
		for (int j = i - 4; j < i; ++j) all_same &= st[j];
		
		if (all_same)
		{
			if (st[i]) dw = max(dw, *min_element(arr + i - 4, arr + i + 1));
			else up = min(up, *min_element(arr + i - 4, arr + i + 1) - 1);
		}
	}
	
	assert(dw <= up);
	
	if (st[0]) cerr << -up << " " << -dw << "\n";
	else cerr << dw << " " << up << "\n";
	
	return min(up, (ll)MAX_ABS);
}

int main()
{
#ifdef CH_EGOR
	freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#else
	//freopen("", "r", stdin);
	//freopen("", "w", stdout);
#endif 	

	scanf("%d", &n);
	for (int i = 0; i < n; ++i) scanf("%lld", &arr[i]);
	scanf("%s", st);
	for (int i = 0; i < n; ++i) st[i] -= '0';

	ll mx = solve();
	
	for (int i = 0; i < n; ++i) st[i] ^= 1;
	for (int i = 0; i < n; ++i) arr[i] = -arr[i];
	
	ll mn = -solve();

	assert(mn <= mx);

	printf("%lld %lld\n", mn, mx);

	return 0;
}


