#include "testlib.h"
#include <iostream>

using namespace std;

// examples of use
// (condensity is the real count of random number)
// (c, n) - n numbers from 1 to 10e9
// (c, n, a) - n numbers from 1 to a
// (c, n, a, b) - n numbers from a to b

int main(int argc, char* argv[])
{
	registerGen(argc, argv, 1);

	int cond = atoi(argv[1]);
	int n = atoi(argv[2]);
	int upper_bound = 1000000000;
	if (argc >= 4)
	    upper_bound = atoi(argv[3]);
    int lower_bound = 1;
    if (argc >= 5) {
        lower_bound = upper_bound;
        upper_bound = atoi(argv[4]);
    }
    cond = upper_bound / cond;

	cout << n << endl;
	for (int i = 0; i < n; i++) {
		int res = rnd.next(lower_bound - 1, upper_bound - 1);
		res /= cond; res *= cond;
		res++;
		cout << res;
		if (i != n - 1)
			cout << " ";
	}
	cout << endl;
}
