#include "testlib.h"
#include <iostream>

using namespace std;

// examples of use
// (n) - n numbers from 1 to 10e9
// (n, a) - n numbers from 1 to a
// (n, a, b) - n numbers from a to b

int main(int argc, char* argv[])
{
	registerGen(argc, argv, 1);

	int n = atoi(argv[1]);
	int upper_bound = 1000000000;
	if (argc >= 3)
	    upper_bound = atoi(argv[2]);
    int lower_bound = 1;
    if (argc >= 4) {
        lower_bound = upper_bound;
        upper_bound = atoi(argv[3]);
    }

    
	cout << n << endl;
	for (int i = 0; i < n; i++) {
		cout << rnd.next(lower_bound, upper_bound);
		if (i != n - 1)
			cout << " ";
	}
	
	
	/* SET BREAKER
	cout << n << endl;
	vector<int> arr(n);
	for (int i = 0; i < n; i++) {
	    if (i % 10 == 0)
	        arr[i] = lower_bound;
	    else
		    arr[i] = rnd.next(lower_bound, upper_bound);
		cout << arr[i];
		if (i != n - 1)
			cout << " ";
	}
	/* SET BREAKER END */
	
	cout << endl;
}
