#include "testlib.h"
#include <iostream>
#include <vector>

using namespace std;

// examples of use
// (n) - n numbers from 1 to 10e9
// (n, a) - n numbers from 1 to a
// (n, a, b) - n numbers from a to b

int main(int argc, char* argv[])
{
	registerGen(argc, argv, 1);

	int n = atoi(argv[1]);
	int upper_bound = 1000000000;
	if (argc >= 3)
	    upper_bound = atoi(argv[2]);
    int lower_bound = 1;
    if (argc >= 4) {
        lower_bound = upper_bound;
        upper_bound = atoi(argv[3]);
    }


	cout << n << endl;
	vector<int> v(n);
	for (int i = 0; i < n; i++) {
		v[i] = rnd.next(lower_bound, upper_bound);
		if ((i == 0 || i == n - 1) && v[i] == upper_bound)
			v[i] = max(lower_bound, v[i] - 1);
	}
	for (int i = 1; i < n - 1; i++) {
		v[i] = max(v[i], v[0] + 1);
		v[i] = max(v[i], v[n - 1] + 1);
		if (v[i] > upper_bound)
		    v[i] = upper_bound;
	}

	for (int i = 0; i < n; i++) {
		cout << v[i];
		if (i != n - 1)
			cout << " ";
	}

	cout << endl;
}
