#include "testlib.h"

using namespace std;

typedef long long int ll;

struct group
{
	string name;
	int MAX_N;
	int MAX_COST;
};

const int CNT_GROUP = 5;

group groups[CNT_GROUP] =
{
	{
    .name = "samples",
    .MAX_N = 15,
    .MAX_COST = 100
	},
	{
    .name = "group1",
    .MAX_N = 15,
    .MAX_COST = 100
	},
	{
    .name = "group2",
    .MAX_N = 100,
    .MAX_COST = 1000 * 1000 * 1000
	},
	{
    .name = "group3",
    .MAX_N = 3000,
    .MAX_COST = 1000 * 1000 * 1000
	},
	{
    .name = "group4",
    .MAX_N = 100000,
    .MAX_COST = 1000 * 1000 * 1000
	},
};


int main(int argc, char **argv)
{
	registerValidation(argc, argv);

	int group_id = -1;

	for (int i = 0; i < CNT_GROUP; ++i)
	{
		if (groups[i].name == validator.group())
		{
			group_id = i;
			break;
		}
	}

	ensuref(group_id != -1, "no group for this test");

	int n = inf.readInt(1, groups[group_id].MAX_N, "n");
	inf.readEoln();

	inf.readInts(n, 1, groups[group_id].MAX_COST, "a", 0);
	inf.readEoln();

	inf.readEof();

	return 0;
}

