#include <stdio.h>
#include <iostream>
#include <stdlib.h>
#include <string>
#include <string.h>
#include <vector>
#include <stack>
#include <queue>
#include <deque>
#include <set>
#include <map>
#include <assert.h>
#include <algorithm>
#include <iomanip>
#include <time.h>
#include <math.h>
#include <bitset>

#pragma comment(linker, "/STACK:256000000")

using namespace std;

typedef long long int ll;
typedef long double ld;

const int INF = 1000 * 1000 * 1000 + 21;
const ll LLINF = (1ll << 60) + 5;
const int MOD = 1000 * 1000 * 1000 + 7;

const int MAX_N = 100 * 1000 + 5;

int n, c = 10;
ll arr[MAX_N];
ll dp[MAX_N];
ll sm[MAX_N];
multiset<int> now;

int main()
{
#ifdef CH_EGOR
	freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#else
	//freopen("", "r", stdin);
	//freopen("", "w", stdout);
#endif 	

	scanf("%d", &n);

	now.insert(0);
	for (int i = 1; i <= n; ++i)
	{
		scanf("%lld", &arr[i]);

		dp[i] = dp[i - 1] + arr[i];
		sm[i] = sm[i - 1] + arr[i];
		now.insert(arr[i]);
		
		if (i >= c)
		{
			now.erase(now.find(arr[i - c]));
			dp[i] = min(dp[i], dp[i - c] - sm[i - c] + sm[i] - *now.begin());
		}
	}

	printf("%lld\n", dp[n]);

	return 0;
}

